package de.intarsys.tools.factory;

import de.intarsys.tools.functor.IArgs;

public interface IFactory<T> {

	public T createInstance(IArgs args);

	public String getId();

	public Class<T> getResultType();

}
